EnderDashEnderDash

List Access Grants

List Access Grants. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

GET
/organizations.listAccessGrants

List Access Grants. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Query Parameters

Response Body

application/json

application/json

curl -X GET "https://app.enderdash.com/api/trpc/organizations.listAccessGrants?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%2C%22memberId%22%3A%22string%22%2C%22serverId%22%3A%22string%22%7D"
{  "result": {    "data": [      {        "id": "string",        "organizationId": "string",        "memberId": "string",        "serverId": "string",        "grant": {          "$typeName": "enderdash.protocol.AuthorizationGrant",          "$unknown": [            {              "no": 0,              "wireType": 0,              "data": "string"            }          ],          "grantId": "string",          "effect": 0,          "actions": [            0          ],          "constraints": {            "$typeName": "enderdash.protocol.GrantConstraints",            "$unknown": [              {                "no": 0,                "wireType": 0,                "data": "string"              }            ],            "expiresAtMs": 0,            "remainingUses": 0,            "maxBytes": 0,            "maxRows": 0          },          "scope": {            "value": {              "$typeName": "enderdash.protocol.AnyScope",              "$unknown": [                {                  "no": 0,                  "wireType": 0,                  "data": "string"                }              ]            },            "case": "any"          }        },        "reason": "string",        "createdByMemberId": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  }}